hOpenPGP-2.5.5: native Haskell implementation of OpenPGP (RFC4880)

Safe Haskell | None
Language | Haskell2010

Data.Conduit.OpenPGP.Filter

# Documentation

conduitPktFilter :: Monad m => FilterPredicates -> Conduit Pkt m Pkt #

conduitTKFilter :: Monad m => FilterPredicates -> Conduit TK m TK #

data FilterPredicates #

Constructors

RTKFilterPredicate (Reader TK Bool) | fp for transferable keys
RPFilterPredicate (Reader Pkt Bool) | fp for context-less packets